/*
 * Class WEL_MF_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_372 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_372 [] = {0xFF01,1551,371,0xFFFF};
static const EIF_TYPE_INDEX egt_2_372 [] = {0xFF01,371,0xFFFF};
static const EIF_TYPE_INDEX egt_3_372 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_372 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_372 [] = {0xFF01,371,0xFFFF};
static const EIF_TYPE_INDEX egt_6_372 [] = {0xFF01,371,0xFFFF};
static const EIF_TYPE_INDEX egt_7_372 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_372 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_372 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_372 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_372 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_372 [] = {0xFF01,371,0xFFFF};


static const struct desc_info desc_372[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_372), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_372), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_372), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_372), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_372), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_372), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_372), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_372), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_372), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_372), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_372), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_372), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02E7 /*371*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_372), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6646, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6649, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6650, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6651, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6652, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6655, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6656, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6657, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6659, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6660, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6661, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6639, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6640, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6641, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6642, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6644, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6645, 0xFFFFFFFF},
};
void Init372(void)
{
	IDSC(desc_372, 0, 371);
	IDSC(desc_372 + 1, 1, 371);
	IDSC(desc_372 + 32, 1161, 371);
}


#ifdef __cplusplus
}
#endif
